Breadcrumbs

Metavault API - Create source system

CreateSourceSystem - POST

Path

/api/projects/{projectId}/metavault/sourcesystems

Http Method

POST

Overview

Required permissions

  • Write access to the Source module. BUILD WRITE

Request

Request body

JSON
{
  "name": "MySourceSystem",
  "code": "MYSO01",
  "technicalDescription": "Technical description",
  "version": "1",
  "businessDescription": "The description",
  "qualityType": 2,
  "dataSteward": "Michael",
  "systemAdministrator": "Kevin"
}

Response

Success response (200 OK)

JSON
{
  "id": "3c24b0fb-a999-48e9-9b41-209412a47df3",
  "technicalDescription": "Technical description",
  "businessDescription": "The description",
  "version": "1",
  "qualityType": "Fair",
  "dataSteward": "Michael",
  "systemAdministrator": "Kevin",
  "name": "MySourceSystem",
  "code": "MYSO01",
  "packages": []
}